<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: ADC_T Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">ADC_T Struct Reference<div class="ingroups"><a class="el" href="../../da/d80/group___n_a_n_o1_x2___definitions.html">NANO102/112 Definitions</a> &raquo; <a class="el" href="../../d0/dcf/group___n_a_n_o1_x2___c_m_s_i_s.html">Device CMSIS Definitions</a></div></div></div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:ga9e69d68623f50b230184c4466a44b700"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga9e69d68623f50b230184c4466a44b700">RESULT</a> [18]</td></tr>
<tr class="separator:ga9e69d68623f50b230184c4466a44b700"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c3ab78a735c6154aafb45290d791a94"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7c3ab78a735c6154aafb45290d791a94">CR</a></td></tr>
<tr class="separator:ga7c3ab78a735c6154aafb45290d791a94"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8a552a9d8396e7a1a9c405359018a349"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga8a552a9d8396e7a1a9c405359018a349">CHEN</a></td></tr>
<tr class="separator:ga8a552a9d8396e7a1a9c405359018a349"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga21ba1290b1f30db4da4280030ccdbcf5"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga21ba1290b1f30db4da4280030ccdbcf5">CMPR0</a></td></tr>
<tr class="separator:ga21ba1290b1f30db4da4280030ccdbcf5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaecaf7bd402b9e48d435b3d55bcd1992f"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaecaf7bd402b9e48d435b3d55bcd1992f">CMPR1</a></td></tr>
<tr class="separator:gaecaf7bd402b9e48d435b3d55bcd1992f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaabf9e91cd1c93268d5030303b872eecf"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaabf9e91cd1c93268d5030303b872eecf">SR</a></td></tr>
<tr class="separator:gaabf9e91cd1c93268d5030303b872eecf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab35b677a2dc28f2733fb7769c99786a7"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gab35b677a2dc28f2733fb7769c99786a7">RESERVE1</a> [1]</td></tr>
<tr class="separator:gab35b677a2dc28f2733fb7769c99786a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf77721058d20e5b5a0a4e5db7f1e7193"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaf77721058d20e5b5a0a4e5db7f1e7193">PDMA</a></td></tr>
<tr class="separator:gaf77721058d20e5b5a0a4e5db7f1e7193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7b33e02385e50126dbe173470193bdf8"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga7b33e02385e50126dbe173470193bdf8">PWRCTL</a></td></tr>
<tr class="separator:ga7b33e02385e50126dbe173470193bdf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga060402df18d1f63be3a0c429402c7764"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#ga060402df18d1f63be3a0c429402c7764">CALCTL</a></td></tr>
<tr class="separator:ga060402df18d1f63be3a0c429402c7764"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaf08c7acec8b147ea37c5bc0dd64ae6c"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaaf08c7acec8b147ea37c5bc0dd64ae6c">CALWORD</a></td></tr>
<tr class="separator:gaaf08c7acec8b147ea37c5bc0dd64ae6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaacf17b4088c0c6fa8bb82f567bfebf32"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gaacf17b4088c0c6fa8bb82f567bfebf32">SMPLCNT0</a></td></tr>
<tr class="separator:gaacf17b4088c0c6fa8bb82f567bfebf32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad48be5bda281d3f56570e57f2583de37"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d4/d75/group___n_a_n_o1_x2__legacy___constants.html#gad48be5bda281d3f56570e57f2583de37">SMPLCNT1</a></td></tr>
<tr class="separator:gad48be5bda281d3f56570e57f2583de37"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">@addtogroup ADC Analog to Digital Converter(ADC)
Memory Mapped Structure for ADC Controller
</pre> 
<p class="definition">Definition at line <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html#l00378">378</a> of file <a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Nano1X2Series/Include/<a class="el" href="../../da/d91/_nano1_x2_series_8h_source.html">Nano1X2Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
